List user folders
GET
/user/{user_id}/folders
const url = 'https://api.colourbox.com/user/1/folders';const options = {method: 'GET', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.colourbox.com/user/1/folders \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'Get all folders user has access to.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
integer
User ID
Responses
Section titled “Responses”Folders user has access to
Media typeapplication/json
Array<object>
object
id
Folder ID
integer
name
Folder name
string
parent
Parent folder ID
integer
company_id
Company ID of owning company
integer
created
string
permissions
object
groups
Permission groups assigned to user for folder.
User must have at least one of the groups to interact with a folder
Array<string>
Example
[ { "id": 1337, "name": "My folder", "company_id": 42, "created": "2013-05-21 13:46:39", "permissions": { "groups": [ "READ", "WRITE", "ADMIN" ] } }]